/*
 LibraryDAO.m
 SQLiteDemo
 Created by SQLite+ on 03/09/2014
 Copyright (c) http://www.iosxtools.com All rights reserved.
 */
#import "LibraryDAO.h"
@implementation LibraryDAO
- (id)init{
    self = [super init];
    if (self) {
        self.tableName = @"Library";
        self.fldList   = [[NSArray alloc]initWithObjects:@"ID",@"framework",@"title",@"description",@"date",@"sortOrder",@"fileName",@"codePath",@"isUnZipped",nil];
        self.keyList   = [[NSArray alloc]initWithObjects:@"ID",nil];;
        NSMutableSet *allFieldSet = [[NSMutableSet alloc]initWithArray:self.fldList];
        NSSet *keyFieldSet = [[NSSet alloc]initWithArray:self.keyList];
        [allFieldSet minusSet:keyFieldSet];
        self.fldExcludeKeyList = [allFieldSet allObjects];
    }
	return self;
}
@end

